CustomizableThreadFactory (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.scheduling.backportconcurrent

## Class CustomizableThreadFactory

- java.lang.Object
- - org.springframework.util.CustomizableThreadCreator
  - - org.springframework.scheduling.backportconcurrent.CustomizableThreadFactory

- All Implemented Interfaces:
    edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory, Serializable
  Direct Known Subclasses:
    ThreadPoolTaskExecutor

  Deprecated.
  as of Spring 3.2, in favor of using the native JDK 6 concurrent support

      @Deprecated
      public class CustomizableThreadFactory
      extends CustomizableThreadCreator
      implements edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory

  Implementation of the JSR-166 backport `ThreadFactory` interface, allowing for customizing the created threads (name, priority, etc).

  See the base class `CustomizableThreadCreator` for details on the available configuration options.

  Since:
    2.0.3
  Author:
    Juergen Hoeller
  See Also:
    `CustomizableThreadCreator.setThreadNamePrefix(java.lang.String)`, `CustomizableThreadCreator.setThreadPriority(int)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomizableThreadFactory()` Deprecated. Create a new CustomizableThreadFactory with default thread name prefix.
    `CustomizableThreadFactory(String threadNamePrefix)` Deprecated. Create a new CustomizableThreadFactory with the given thread name prefix.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Thread` | `newThread(Runnable runnable)` Deprecated.

    - ### Methods inherited from class org.springframework.util.CustomizableThreadCreator

      `createThread, getDefaultThreadNamePrefix, getThreadGroup, getThreadNamePrefix, getThreadPriority, isDaemon, nextThreadName, setDaemon, setThreadGroup, setThreadGroupName, setThreadNamePrefix, setThreadPriority`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomizableThreadFactory

          public CustomizableThreadFactory()

      Deprecated.
      Create a new CustomizableThreadFactory with default thread name prefix.

    - #### CustomizableThreadFactory

          public CustomizableThreadFactory(String threadNamePrefix)

      Deprecated.
      Create a new CustomizableThreadFactory with the given thread name prefix.
      Parameters:
        `threadNamePrefix` - the prefix to use for the names of newly created threads

  - ### Method Detail

    - #### newThread

          public Thread newThread(Runnable runnable)

      Deprecated.
      Specified by:
        `newThread` in interface `edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory`